Adiel,

Na máquina com FreeBSD 9

# pkg create firebird-xxxx

Substitua o xxxx pela versão, para listar os pacotes instalados rode o comando pkg info

Será gerado um arquivo algo como firebird-xxxx.txz

Copie o arquivo para a máquina com FreeBSD 10

Remova o pacote antigo

E para instalar rode na máquina com FreeBSD 10

# pkg add firebird-xxxx.txz

Tente e poste para nós o resultado.



Adiel de Lima Ribeiro escreveu:
Bom dia lista!
Imagino que isso seja Off-Topic.
Seguinte: Tenho um sistema funcionando em cima de Firebird 2.5.3 faz um tempo. Este sistema precisa ser atualizado, mas a nova versão aceita apenas o Firebird 2.5.2. Na inicialização do sistema ele faz algum tipo de consulta ao banco e fecha o sistema por causa da versão do Firebird que não é a 2.5.2. Existe alguma maneira de eu modificar alguma tabela do Firebird para que seja retornado o valor 2.5.3 quando o sistema fizer esta consulta pela versão? Não sou programador, mas existe alguma maneira de interceptar este tráfego e modificar o valor retornado?
É um sistema bem simples, imagino que seja uma consulta simples também.
Utilizo o FreeBSD 10, que tem o Firebird 2.5.3 como padrão, até tentei forçar a instalação do 2.5.2 com o pkg, mas sem sucesso. Há como eu extrair o ports do FreeBSD 9 e tentar compilar o Firebird 2.5.2 no FreeBD 10?
Obrigado.






-------------------------
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd

Responder a